summaryrefslogtreecommitdiff
path: root/tests/cp/cp-parents
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/cp-parents')
-rwxr-xr-xtests/cp/cp-parents6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/cp/cp-parents b/tests/cp/cp-parents
index c11accbbf..7c693cf16 100755
--- a/tests/cp/cp-parents
+++ b/tests/cp/cp-parents
@@ -10,8 +10,8 @@ fi
umask 022
pwd=`pwd`
-tmp=cp-parents.$$
-trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
@@ -23,7 +23,7 @@ cd $pwd || framework_failure=1
. $srcdir/../envvar-check
-mkdir $tmp || framework_failure=1
+mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
. $abs_srcdir/../setgid-check